Support » Plugin: Toplytics » Bedrock + Composer + Toplytics

  • Resolved anebi85

    (@anebi85)


    Hello,

    I am trying to test Toplytics with Bedrock. What I did was to install bedrock and then using composer to install 4.0.2 version of Toplytics plugin. Installation was fine, but when i try to load the site, I get following:

    Warning: require_once(/var/www/domains/mydomain.com/vhosts/bd/htdocs/web/app/plugins/toplytics/vendor/autoload.php): failed to open stream: No such file or directory in /var/www/domains/mydomain.com/vhosts/bd/htdocs/web/app/plugins/toplytics/toplytics.php on line 58

    I checked the file and that line and I see this code:

    /**
    * We load the composer dependencies at this stage and the
    * PSR4 autoloading functionality for the components folder.
    */
    require_once plugin_dir_path(__FILE__) . ‘vendor/autoload.php’;`

    It looks for vendor/autoload.php, but with Bedrock composer setup I no longer see vendor/ dir inside the plugin.

    Can you tell me how I can make that working without manually doing changes in plugin?

    Thank you in advance!

    Best regards,
    Ali Nebi

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Presslabs

    (@presslabs)

    Hello,

    We will investigate this issue, and we’ll come back to you when we have more information.

    Best,

    Plugin Author Presslabs

    (@presslabs)

    Hello @anebi85,

    We have just pushed a new version 4.0.6. Pentru try again and let us know how it works.

    Best regards,
    ~Presslabs Team

    Thread Starter anebi85

    (@anebi85)

    Hello,

    Thanks for the reply and the fix. It seems to be working fine now. I no longer get an error 🙂

    Best regards,
    Ali Nebi

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.